// RPSDlg.h : header file
//

#pragma once
#include "afxwin.h"

#include"StringPredictor.h"


// CRPSDlg dialog
class CRPSDlg : public CDialog
{
// Construction
public:
	CRPSDlg(CWnd* pParent = NULL);	// standard constructor
	virtual ~CRPSDlg();

// Dialog Data
	enum { IDD = IDD_RPS_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	CButton m_btRock;
	afx_msg void OnBnClickedRock();

private:
	CStringPredictor *m_ppredictor;
	int m_computerScore;
	int m_playerScore;

private:
	CStringPredictor::Move computerMakeMove();
	void CRPSDlg::determineWinner(CStringPredictor::Move playerMove, CStringPredictor::Move compMove);
	void showSequence();

public:
	afx_msg void OnBnClickedPaper();
	afx_msg void OnBnClickedScissors();
	CStatic m_computerMove;
	CStatic m_computerScoreLabel;
	CStatic m_playerMove;
	CStatic m_playerScoreLabel;
	CStatic m_sequenceLabel;
	CStatic m_nextMoveLabel;
};
